summaryrefslogtreecommitdiff
path: root/source3/script/tests/test_smbclient_s3.sh
diff options
context:
space:
mode:
authorJelmer Vernooij <jelmer@samba.org>2007-09-28 22:16:14 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 12:31:03 -0500
commit679ef7b6babef0666749bea1d3b722786ce928d9 (patch)
treee042b4b5de1ea41807c7dd6e4b696538c08283de /source3/script/tests/test_smbclient_s3.sh
parent5221ebb299081da6a806362212c6a8ceb9cc70a8 (diff)
downloadsamba-679ef7b6babef0666749bea1d3b722786ce928d9.tar.gz
samba-679ef7b6babef0666749bea1d3b722786ce928d9.tar.bz2
samba-679ef7b6babef0666749bea1d3b722786ce928d9.zip
r25415: Merge the 3.2-perltest branch that switches Samba 3.2 to use Samba 4's selftest code. See the mailing list for details.
(This used to be commit bdc831ddb3a860676c36bbd89e6f748946df68a1)
Diffstat (limited to 'source3/script/tests/test_smbclient_s3.sh')
-rwxr-xr-xsource3/script/tests/test_smbclient_s3.sh22
1 files changed, 18 insertions, 4 deletions
diff --git a/source3/script/tests/test_smbclient_s3.sh b/source3/script/tests/test_smbclient_s3.sh
index 3a8f3bd5b6..762b0c37a5 100755
--- a/source3/script/tests/test_smbclient_s3.sh
+++ b/source3/script/tests/test_smbclient_s3.sh
@@ -9,15 +9,29 @@ EOF
exit 1;
fi
+BINDIR=`dirname $0`/../../bin
+
SERVER="$1"
SERVER_IP="$2"
SMBCLIENT="$VALGRIND ${SMBCLIENT:-$BINDIR/smbclient} $CONFIGURATION"
-incdir=`dirname $0`
-. $incdir/test_functions.sh
-
failed=0
+testit() {
+ name="$1"
+ shift
+ cmdline="$*"
+ echo "test: $name"
+ $cmdline
+ status=$?
+ if [ x$status = x0 ]; then
+ echo "success: $name"
+ else
+ echo "failure: $name"
+ fi
+ return $status
+}
+
# Test that a noninteractive smbclient does not prompt
test_noninteractive_no_prompt()
{
@@ -82,4 +96,4 @@ testit "interactive smbclient -l prompts on stdout" \
test_interactive_prompt_stdout -l /tmp || \
failed=`expr $failed + 1`
-testok $0 $failed
+exit $failed